package com.alibaba.druid.sql.dialect.db2.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DB2CreateTableAsStatement extends DB2CreateTableStatement {
   private Boolean as;
   private DB2SelectStatement DB2SelectStatement;
   private Boolean withData;
   private Boolean withNoData;

   public Boolean getAs() {
      return this.as;
   }

   public void setAs(Boolean as) {
      this.as = as;
   }

   public DB2SelectStatement getDB2SelectStatement() {
      return this.DB2SelectStatement;
   }

   public void setDB2SelectStatement(DB2SelectStatement DB2SelectStatement) {
      this.DB2SelectStatement = DB2SelectStatement;
   }

   public Boolean getWithData() {
      return this.withData;
   }

   public void setWithData(Boolean withData) {
      this.withData = withData;
   }

   public Boolean getWithNoData() {
      return this.withNoData;
   }

   public void setWithNoData(Boolean withNoData) {
      this.withNoData = withNoData;
   }

   public DB2CreateTableAsStatement() {
      this.dbType = DbType.db2;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
   }
}
